import Color from "../../system/Color";
import { StiHorizontalAlignment } from "../../system/enums";
import { Font } from "../../system/Font";
import { StiEditableContent, StiSetProperty } from "../../system/interfaces";
import StiJson from "../../system/StiJson";
export declare class StiTextItem implements StiEditableContent, StiSetProperty {
    font: Font;
    color: Color;
    backgroundColor?: Color;
    horizontalAlignment?: StiHorizontalAlignment;
    protected _isChanged: boolean;
    private _value;
    element: any;
    constructor(value?: string, font?: Font, color?: Color, backgroundColor?: Color, horizontalAlignment?: StiHorizontalAlignment);
    get eValue(): string;
    set eValue(value: string);
    get eFont(): Font;
    set eFont(value: Font);
    get eColor(): Color;
    set eColor(value: Color);
    get eBackgroundColor(): Color;
    set eBackgroundColor(value: Color);
    get value(): string;
    set value(value: string);
    isChanged(): boolean;
    setProperty(propName: string, value: any, oldObject: any): void;
    resetChanged(): void;
    haveBackgoundColor(): boolean;
    haveVerticalAlignment(): boolean;
    get eContentAlignment(): StiHorizontalAlignment;
    set eContentAlignment(value: StiHorizontalAlignment);
    haveContentAlignment(): boolean;
    saveToJsonObject(options: any): StiJson;
    loadFromJsonObject(json: StiJson): void;
    htmlStyle(): string;
}
